## org.codehaus.plexus.util.io
Class RawInputStreamFacade

    java.lang.Object
      org.codehaus.plexus.util.io.RawInputStreamFacade

All Implemented Interfaces:
  InputStreamFacade

    public class RawInputStreamFacade

extends Object
implements InputStreamFacade

Implementation of `InputStreamFacade` for raw input streams.

Constructor Summary
`RawInputStreamFacade(InputStream stream)` Creates a new instance.

Method Summary
`InputStream` `getInputStream()` Retrieves the actual `InputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawInputStreamFacade

    public RawInputStreamFacade(InputStream stream)

  Creates a new instance.

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Description copied from interface: `InputStreamFacade`
  Retrieves the actual `InputStream`. The caller must assume, that this method may be invoked only once.

  Specified by:
    `getInputStream` in interface `InputStreamFacade`
  Throws:
    `IOException`